# Okta Hack: Threat Actors Downloaded all Customer Support System Users' Data
## Okta Security has unearthed additional intricacies surrounding the unauthorized intrusion into its customer support system.
## Information:

+ Link: https://cybersecuritynews.com/?p=52275
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 30 November 2023, 08:41
+ Date scraped: 30 November 2023, 09:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiYRRh79d2wSBRlQ0EQj08Euk4pEnH5APl_F0ZxORjk2h9y0-qAADxeNDg4DQm1Y0xfTGpvB0IvFan4zofWr2QjJrGcBehyphenhyphenvXlc5vsp-Govs3uOSeJv6ox0OSAnjaEvzi1S8eJ-Zr1S609ewld8ZnJ0eqzBt8lughHP09ivcaKuxtse0PAjEWa-GsDDlEE_/s16000/Okta%20Hack%20-%20All%20Customer%20Data%20Stolen.webp)


In a pivotal update to the [Okta security incident](https://cybersecuritynews.com/5000-okta-employees-affected-by-data-breach/) divulged in October 2023, Okta Security has unearthed additional intricacies surrounding the unauthorized intrusion into its customer support system. 


This revelation holds profound implications for the security of Okta’s clientele, particularly those immersed in the Workforce Identity Cloud (WIC) and Customer Identity Solution (CIS) products.


The investigation highlighted that the threat actor not only infiltrated the customer support system but also appropriated a report containing all users’ names and email addresses.


This report, compiled on September 28, 2023, comprised an exhaustive list of customer support system users, excluding those within the FedRamp High and DoD IL4 environments, operating on a distinct, unaffected support system.


Document

Protect Your Storage With SafeGuard
[Is Your Storage & Backup Systems Fully Protected? – Watch 40-second Tour of SafeGuard](#)
------------------------------------------------------------------------------------------


StorageGuard scans, detects, and fixes security misconfigurations and vulnerabilities across hundreds of storage and backup devices.


  [Try StorageGuard for Free](https://www.continuitysoftware.com/webinar-ensure-cyber-resilient-with-the-new-dora-regulation/?utm_source=CyberSecurityNews) 


**Data Compromised and the Looming Impact**
-------------------------------------------


The [downloaded report](https://sec.okta.com/harfiles) encompassed a spectrum of information for each affected user, from creation dates to time zones. 


While most fields were void of sensitive personal data, including full names and email addresses, it elevated the risk of phishing and social engineering attacks targeting Okta customers.


In response to the breach, Okta strongly advocates for implementing [multi-factor authentication (MFA)](https://cybersecuritynews.com/mfa-bypass-bugs/) for administrators—an indispensable security measure transcending conventional password protection. 


Okta recommends [phishing](https://cybersecuritynews.com/phishing-emails-generated-by-chatgpt/)-resistant authenticators, such as Okta Verify FastPass, FIDO2 WebAuthn, or PIV/CAC Smart Cards, to fortify this layer of defense.


**Fortifying Security – Okta’s Recommendations**
------------------------------------------------


Beyond MFA, Okta proposes additional measures to enhance security, encompassing admin session binding, admin session timeout, and a heightened focus on phishing awareness.


These measures aim to fortify Okta’s security infrastructure and shield users from potential threats.


Okta reaffirms its commitment to customer security, pledging continuous evaluation and implementation of enhanced security measures.


The company’s proactive stance underscores its dedication to safeguarding customer data and preempting future breaches.





## Tags:


### Autogenerated tags:

