# SentinelOne Set to Acquire a Cybersecurity Consulting Firm, Krebs Stamos Group
## In a strategic move aimed at addressing the escalating challenges posed by cyber threats in today's interconnected world, SentinelOne, a global leader in AI security, has unveiled the PinnacleOne Strategic Advisory Group.
## Information:

+ Link: https://cybersecuritynews.com/?p=49885
+ Source: Cyber Security News
+ Author: Kaaviya Ragupathy
+ Date published: 13 November 2023, 07:47
+ Date scraped: 13 November 2023, 08:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjBPXkjmYyXhriNMFytNLPXdgA3xr8ubRDyrktSMCufqHhMoQwy2G6SpXZQuGPRn_Y2W6DhUesgI9TBEjQtf03ZgVbjtKLjvbo9iJx0IpTfYskQdok13pju0EUzk_Hj2mkaC9nZWY80VDKt3mJMt2v6lLc5L-R60OR1p3Z2kce-NwIK1aHWZ3dU8IVtQoIF/s16000/SentinelOne%20to%20Krebs%20Stamos.webp)


In a strategic move aimed at addressing the escalating challenges posed by cyber threats in today’s interconnected world, SentinelOne, a global leader in AI security, has unveiled the PinnacleOne Strategic Advisory Group.


This initiative, introduced during the OneCon conference at the Boca Raton Resort, is set to provide businesses with a comprehensive approach to navigating the complex intersection of technology, cybersecurity, and geopolitics.


Led by industry luminaries Chris Krebs and Alex Stamos, co-founders of KSG, PinnacleOne emerges as a pivotal player in the realm of strategic risk analysis and advisory services.


The group aims to equip executives with unparalleled intelligence, insights, and transformative [risk management strategies](https://cybersecuritynews.com/securing-your-saas/) essential for maneuvering the intricate landscape of modern global business.


Document

Protect Your Storage With SafeGuard
[Is Your Storage & Backup Systems Fully Protected? – Watch 40-second Tour of SafeGuard](#)
------------------------------------------------------------------------------------------


StorageGuard scans, detects, and fixes security misconfigurations and vulnerabilities across hundreds of storage and backup devices.


  [Try StorageGuard for Free](https://www.continuitysoftware.com/webinar-ensure-cyber-resilient-with-the-new-dora-regulation/?utm_source=CyberSecurityNews) 


Tomer Weingarten, CEO of SentinelOne, highlighted the imperative nature of this endeavor, stating, “Rapid changes in the cyber risk environment, the evolution of artificial intelligence, and the mega-shift to data-centric, cloud-hosted security have brought new uncertainty to the C-Suite.”


PinnacleOne seeks to address this uncertainty by offering access to top experts who can guide enterprises beyond current siloed approaches, fostering holistic risk management strategies.


Operational as both a strategic advisory group and a think tank for hire, PinnacleOne, under Krebs and Stamos’ leadership, will assist organizations in understanding their digital footprint, evaluating security postures, and navigating the evolving regulatory landscape.


Krebs, with his extensive background as the inaugural director of the U.S. Department of Homeland Security’s Cybersecurity and Infrastructure Security Agency (CISA), brings a wealth of experience to the role of Chief Intelligence and Public Policy Officer and President of PinnacleOne.


Stamos, assuming the role of Chief Trust Officer for SentinelOne, adds his expertise as the Founder and Director of the Stanford Internet Observatory, former Chief Security Officer of Facebook, and Chief Information Security Officer at Yahoo.


Both leaders underscored the importance of PinnacleOne in providing executives with reliable insights and actionable strategies to enhance resilience in the face of evolving cyber threats.


As part of this strategic initiative, SentinelOne has [acquired](https://www.linkedin.com/feed/update/urn:li:activity:7128388657945726977/) KSG, signaling a commitment to bolstering its capabilities in addressing significant security challenges. 


The terms of the deal, however, have not been disclosed, emphasizing the gravity of this move in the dynamic cybersecurity landscape.






## Tags:


### Autogenerated tags:
pinnacleone sentinelone cybersecurity stamos
