# Cisco Shopping Spree Adds Oort ID Threat Detection Tech
## The planned Oort purchase is Cisco’s fourth acquisition of a cybersecurity company in the first half of 2023.
## Information:

+ Link: https://www.securityweek.com/cisco-shopping-spree-adds-oort-id-threat-detection-tech/
+ Source: SecurityWeek
+ Author: Ryan Naraine
+ Date published: 13 July 2023, 15:19
+ Date scraped: 13 July 2023, 16:00

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/01/Cybersecurity_News-SecurityWeek.jpg)


**Cisco’s cybersecurity shopping spree hit another gear Thursday with the planned acquisition of Oort, an early-stage startup selling software in the Identity Threat Detection and Response (ITDR) category.**


Financial terms of the deal were not released. Oort, based in Boston, raised more than $18 million in venture capital financing and counts Cisco among its early stage strategic investors.

“Cisco shares Oort’s commitment to securing identity as the new perimeter,” said Cisco vice president Raj Chopra, noting that Oort’s API-driven platform can help organizations eliminate identity visibility gaps across disparate data sources, show misconfigurations, check for security vulnerabilities, and offer predictive identity analytics to proactively stop attacks.

Once the deal closes, Chopra said the plan is to use Oort’s technology to beef up the Cisco Security Cloud’s user context telemetry.  The technology will also be pushed across Cisco’s portfolio, including the Duo Identity Access Management (IAM) technology and Extended Detection and Response (XDR) products.

The plan is for the Oort team to join Cisco’s Security Business Group to work on bolstering the identity perimeter.

Last October, Oort secured $15 million in Seed and Series A funding from .406 Ventures and Energy Impact Partners (EIP), bringing the total raised to $18 million. Founded in 2019, [Oort is selling an enterprise-facing identity-centric platform](https://www.securityweek.com/oort-raises-15-million-identity-threat-detection-and-response-platform/) that offers visibility and control over the identity attack surface, helping them secure both employees and contractors against social engineering and insider threats.


Oort’s product uses identity sources, logs, and productivity tools to deliver behavioral anomaly detection, alerts, and access to any identity’s authentication history, and can also identify weak configurations and discrepancies.


The planned Oort purchase is Cisco’s fourth acquisition of a cybersecurity company in 2023. So far this year, the shopping spree has included [AI-powered email security firm Armorblox](https://www.securityweek.com/cisco-acquiring-armorblox-for-predictive-and-generative-ai-technology/), cloud security [posture management startup Lightspin](https://www.securityweek.com/cisco-to-acquire-cloud-security-firm-lightspin-for-reported-200-million/), and cloud [network security play Valtix](https://www.securityweek.com/cisco-valtix-acquisition/).


**Related:** [Cisco Acquiring Armorblox for Predictive and Generative AI Technology](https://www.securityweek.com/cisco-acquiring-armorblox-for-predictive-and-generative-ai-technology/)


**Related:** [Predictions 2023: Big Tech’s Coming Security Shopping Spree](https://www.securityweek.com/predictions-2023-big-techs-coming-security-shopping-spree/)


**Related:** [Cisco to Acquire Cloud Security Firm Lightspin for Reported $200 Million](https://www.securityweek.com/cisco-to-acquire-cloud-security-firm-lightspin-for-reported-200-million/)


**Related:** [Cisco to Acquire Valtix for Cloud Network Security Tech](https://www.securityweek.com/cisco-valtix-acquisition/)





## Tags:


### Autogenerated tags:
oort cloud
