# Tenable to Acquire Eureka Security to Boost DSPM Capabilities
## Tenable goes shopping again in Israel with plans to buy early stage startup Eureka Security to boost data security posture management tooling.
## Information:

+ Link: https://www.securityweek.com/tenable-to-acquire-eureka-security-to-boost-dspm-capabilities/
+ Source: SecurityWeek
+ Author: Ryan Naraine
+ Date published: 07 June 2024, 15:12
+ Date scraped: 07 June 2024, 16:01

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/01/Cybersecurity_News-SecurityWeek.jpg)


**Cybersecurity vendor Tenable on Friday announced plans to acquire Eureka Security, an Israeli early stage startup in the competitive DSPM (data security posture management) space.**


Financial terms of the deal were not released.

Eureka, based in Tel Aviv and backed by YL Ventures, [launched in 2022 with $8 million](https://www.securityweek.com/eureka-emerges-stealth-cloud-data-security-platform/) in venture capital funding. 


Tenable, a mainstay in the vulnerability management category, said the purchase of Eureka adds DSPM capabilities to its Cloud-Native Application Protection Platform and provides technology for security teams to measure and manage risk to data.

Tenable said Eureka’s software provides a holistic view into an organization’s cloud data security footprint and can be used to combat policy drift and misconfigurations that put data at risk.

Tenable vice president Shai Morag said the DSPM technology will help customers identify key evidence related to cloud data risk, including where sensitive data resides in the cloud, who has access to that data and the severity of the risk posed by potential data compromise.

“[This deal allows us] to provide even better prioritization of cloud risks and identify toxic combinations beyond vulnerabilities, misconfigurations and over-privileged access to include data at risk as well,” Morag added.

Tenable said the integration of DSPM technology will round out its Cloud Security product suite and give security teams the context and prioritization guidance to make efficient and accurate remediation decisions.


This is the second time Tenable has gone shopping for Israeli cloud security startups. Last September, the company [shelled out roughly $240 million in cash](https://www.securityweek.com/tenable-to-acquire-cloud-security-firm-ermetic-for-240-million/) and $25 million in restricted stock and restricted stock units (RSUs) to buy Ermetic, a company selling cloud-native application protection platform (CNAPP) and a cloud infrastructure entitlement management (CIEM) products.


**Related:** [Eureka Emerges from Stealth with Cloud Data Security Platform](https://www.securityweek.com/eureka-emerges-stealth-cloud-data-security-platform/)


**Related:** [Tenable to Acquire Cloud Security Firm Ermetic for $240 Million](https://www.securityweek.com/tenable-to-acquire-cloud-security-firm-ermetic-for-240-million/)


**Related:** [Tenable Launches $25 Million Early-Stage Venture Fund](https://www.securityweek.com/tenable-launches-25-million-early-stage-venture-fund/)


**Related:** [Tenable Shells Out $45 Million to Acquire Bit Discovery](https://www.securityweek.com/tenable-shells-out-45-million-acquire-bit-discovery/)





## Tags:
***email-adresses***: putdata@risk.tenable

### Autogenerated tags:
cloud dspm
