# Microsoft Defender for Business stand-alone now generally available
## Microsoft says that its enterprise-grade endpoint security for small to medium-sized businesses is now generally available.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-defender-for-business-stand-alone-now-generally-available/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 02 May 2022, 18:34
+ Date scraped: 02 May 2022, 19:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/05/26/Microsoft-Defender.jpg)



Microsoft says that its enterprise-grade endpoint security for small to medium-sized businesses is now generally available as a standalone solution.


Known as Microsoft Defender for Business, this product is designed for SMBs with up to 300 employees who need protection against malware, phishing, and ransomware attacks on Windows, macOS, iOS, and Android devices.


"Microsoft believes in security for all. We are proud to further deliver on that vision today," [said](https://news.microsoft.com/2022/05/02/microsoft-announces-general-availability-of-microsoft-defender-for-business-designed-to-boost-small-and-medium-business-smb-security/) Vasu Jakkal, CVP, security, compliance and identity at Microsoft.


"With the GA of Defender for Business, SMBs will get greater protection with simplified security to help them better protect, detect and respond to threats."


Microsoft Defender for Business [has started rolling](https://www.bleepingcomputer.com/news/microsoft/microsoft-rolling-out-new-endpoint-security-solution-for-smbs/) out to Microsoft 365 Business Premium customers worldwide beginning March 1st.


Now customers can also get Defender for Business as a standalone license straight from Microsoft and Microsoft Partner Cloud Solution Provider (CSP) channels [at $3 per user per month](https://www.microsoft.com/en-us/security/business/endpoint-security/microsoft-defender-business#office-ContentAreaHeadingTemplate-kttmroa).



Defender for Business features a wizard-driven setup that makes it easier to configure clients. It will also enable all recommended security policies for organizations without a dedicated security team.


Key features bundled with this SMB-focused endpoint security suite include:


* **Simplified deployment and management** for IT administrators who may not have the expertise to address today's evolving threat landscape.
* **Next-generation antivirus protection and endpoint detection and response** to detect and respond to sophisticated attacks with behavioral monitoring.
* **Automated investigation and remediation** to help customers react quickly to threats.
* **Threat and vulnerability management** proactively alerts users to weaknesses and misconfigurations in software.
* **Microsoft 365 Lighthouse integration** **with Microsoft Defender for Business** for IT service providers to view security events across customers, with additional capabilities coming.

Microsoft said that it's also planning to add support for servers later this year with the help of an add-on solution.


In November, Microsoft [announced](https://www.bleepingcomputer.com/news/microsoft/microsoft-announces-new-endpoint-security-solution-for-smbs/) this new security solution at Microsoft Ignite 2021 after a 300% increase in ransomware attacks during 2020.


[More than 50% of these attacks directly affected SMBs](https://abcnews.go.com/Politics/dhs-secretary-warns-ransomware-attacks-rise-targets-include/story?id=77512872), as US Secretary of Homeland Security Alejandro Mayorkas revealed.





## Tags:


### Autogenerated tags:
microsoft smbs
