# Microsoft previews new endpoint security solution for SMBs
## Microsoft Defender for Business, a new endpoint security solution specially built for small and medium-sized businesses (SMBs), is now rolling out in preview worldwide.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/microsoft-previews-new-endpoint-security-solution-for-smbs/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 09 December 2021, 15:36
+ Date scraped: 09 December 2021, 16:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/05/26/Microsoft-Defender.jpg)

## Article:
![Article Image](https://www.bleepstatic.com/content/hl-images/2021/05/26/Microsoft-Defender.jpg)

![Microsoft previews new endpoint security solution for SMBs](https://www.bleepstatic.com/content/hl-images/2021/05/26/Microsoft-Defender.jpg)


Microsoft Defender for Business, a new endpoint security solution specially built for small and medium-sized businesses (SMBs), is now rolling out in preview worldwide.


It helps businesses with up to 300 employees defend against cybersecurity threats, including ransomware, malware, and phishing, across Windows, macOS, iOS, and Android devices.


It has a simplified client configuration via wizard-driven setup, and it comes with all recommended security policies enabled out-of-the-box, which makes it simple to use even by organizations without a dedicated security team.


Microsoft [first announced](https://www.bleepingcomputer.com/news/microsoft/microsoft-announces-new-endpoint-security-solution-for-smbs/) Defender for Business last month and released it in response to the 300% increase in ransomware attacks in the previous year, with [over 50% of them directly impacting SMBs](https://abcnews.go.com/Politics/dhs-secretary-warns-ransomware-attacks-rise-targets-include/story?id=77512872), according to US Secretary of Homeland Security Alejandro Mayorkas.


Microsoft says the new enterprise-grade endpoint security solution for SMBs is rolling out worldwide to customers and IT partners who request access by [signing up here](https://aka.ms/MDB-Preview).


After it reaches general availability, Defender for Business will be available directly from Microsoft and Microsoft Partner Cloud Solution Provider (CSP) channels at $3 per user per month, through a standalone license or included within Microsoft 365 Business Premium.



![Defender comparison of capabilities](https://www.bleepstatic.com/images/news/u/1109292/2021/Defender%20comparison%20of%20capabilities%20.png)*Defender comparison of capabilities (Microsoft)*
"Once you've completed the sign-up process our team will evaluate your request and respond using the details you provided in the request form. Roll out of preview is gradual to customers and partners requesting the preview," [said](https://techcommunity.microsoft.com/t5/small-and-medium-business-blog/microsoft-defender-for-business-preview-now-available/ba-p/3033609) Jon Maunder, a Senior Product Marketing Manager at Microsoft.


"We will onboard an initial set of customers and partners in the coming weeks and will expand the preview leading up to general availability.


"When you have a preview trial license, please visit [Microsoft Defender for Business documentation](https://aka.ms/MDB-Docs) for information about how to onboard devices, configure settings, and ongoing security management based on the preview scenarios."


Key features bundled with Microsoft Defender for Business include:


* **Simplified deployment and management** for IT administrators who may not have the expertise to address today's evolving threat landscape.
* **Next-generation antivirus protection and endpoint detection and response** to detect and respond to sophisticated attacks with behavioral monitoring.
* **Automated investigation and remediation** to help customers react quickly to threats.
* **Threat and vulnerability management** proactively alerts users to weaknesses and misconfigurations in software.
* **Microsoft 365 Lighthouse integration** **with Microsoft Defender for Business** for IT service providers to view security events across customers, with additional capabilities coming.







## Tags:


### Autogenerated tags:
microsoft smbs
