# Toyota says filled disk storage halted Japan-based factories
## Toyota says a recent disruption of operations in Japan-based production plants was caused by its database servers running out of storage space.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/toyota-says-filled-disk-storage-halted-japan-based-factories/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 06 September 2023, 09:47
+ Date scraped: 06 September 2023, 14:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/09/06/car-factory-supply-line.jpg)



![Car factory](https://www.bleepstatic.com/content/hl-images/2023/09/06/car-factory-supply-line.jpg)*Image: Midjourney*


Toyota says a recent disruption of operations in Japan-based production plants was caused by its database servers running out of storage space.


On August 29th, it was [reported](https://www.bbc.com/news/business-66643936) that Toyota had to halt operations on 12 of its 14 Japan-based car assembly plants due to an undefined system malfunction.


As one of the largest automakers in the world, the situation caused production output losses of roughly 13,000 cars daily, threatening to impact exports to the global market.


In a statement released today on Toyota's Japanese news portal, the company explains that the malfunction occurred during a planned IT systems maintenance event on August 27th, 2023.


The planned maintenance was to organize the data and deletion of fragmented data in a database. However, as the storage was filled to capacity before the completion of the tasks, an error occurred, causing the system to shut down.


This shutdown directly impacted the company's production ordering system so that no production tasks could be planned and executed.


Toyota explains that its main servers and backup machines operate on the same system. Due to this, both systems faced the same failure, making a switchover impossible, inevitably leading to a halt in factory operations.


The restoration came on August 29th, 2023, when Toyota's IT team had prepared a larger capacity server to accept the data that was partially transferred two days back.


This allowed Toyota's engineers to restore the production ordering system and the plants to resume operations.


"To all concerned parties, we apologize for the concerns raised. We would like to reiterate that this system malfunction was not due to a cyber attack." - [Toyota](https://global.toyota/jp/newsroom/corporate/39732550.html)
This incident underscores the intricate nature of IT challenges and the consequences they can have when routine maintenance tasks are not properly planned.


A seemingly minor oversight, like miscalculating necessary disk space for data migration or simply running out of storage space, can result in multimillion-dollar losses for major organizations.


Toyota has had a rough year so far in terms of IT system security and data management.


In May, the carmaker [reported twice](https://www.bleepingcomputer.com/news/security/toyota-finds-more-misconfigured-servers-leaking-customer-info/) that system misconfigurations led to potential data leaks impacting millions of customers, exposing their private information over [several years](https://www.bleepingcomputer.com/news/security/toyota-car-location-data-of-2-million-customers-exposed-for-ten-years/).


Earlier in the year, researchers discovered [API flaws in Toyota's apps](https://www.bleepingcomputer.com/news/security/toyota-mercedes-bmw-api-flaws-exposed-owners-personal-info/) and security gaps in the firm's [supplier portal](https://www.bleepingcomputer.com/news/security/researcher-breaches-toyota-supplier-portal-with-info-on-14-000-partners/), leading to unauthorized access to confidential data.





## Tags:


### Autogenerated tags:

