# 900+ Websites Exposing 100M+ Accounts Including Plaintext Passwords
## A new research has revealed that more than 900 websites had a serious misconfiguration which exposed a massive of 125 million user records
## Information:

+ Link: https://cybersecuritynews.com/?p=60008
+ Source: Cyber Security News
+ Author: Eswar
+ Date published: 19 March 2024, 11:19
+ Date scraped: 19 March 2024, 12:04

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj7hky9wrQezFKBGjtlI0GkAPiBA1cnI6NxZJmjF5ReunrCxzEF25U_ED7-Q4m-zB7e7YpQ3ip9YHMFFWE8upaImc2Oe0Cqr-9bhA_YIuO7PaM9bm7WMei1xJHboNLrlBYuPVqPwgs9d7oADCW4PyeCr35AIH1sF4Cw3So7kwQHiAoUXnwNw4Zw1IYEbBGh/s16000/Plain%20Text%20Password%20Exposed!!!%20%20%20.webp)


New research has revealed that more than 900 websites had a serious misconfiguration, which exposed a massive 125 million user records, including plaintext passwords and sensitive billing information.


These results come after researchers scanned the entire internet for exposed PII through misconfigured Firebase instances.


Moreover, these were easy misconfigurations of security rules that had zero warnings.


This research was conducted with two methods: Python [scanning](https://cybersecuritynews.com/web-security-scanners/) and Go-based scanning for Firebase configuration variables on websites or associated .js bundles.


**Misconfigured Firebase Instances**
------------------------------------


According to the reports shared with Cyber Security News, the researchers initially attempted the massive scan using a Python scanner.


However, this scanner was not feasible as it took a lot of memory due to the fact that Python programs with ~500 threads would consume a lot of memory.


After this, the researchers attempted the same scanning activity with Go, which was expected to be over in 11 days. Nevertheless, it took nearly 2 to 3 weeks for the entire scanning to complete, providing valuable results.


The resulting file had more than 550k lines with 136 sites and 6.2 million records, which required manual reviewing for misconfigurations.


To speed up the process, the researchers gathered a shortlist of potentially affected websites and created another scanner which has been named “*Catalyst*“.


This scanner checks for read access to common Firebase collections and any other things that could be explicitly mentioned in the .js bundles.


When it finds a successful read access, the scanner also calculates the impact of the exposed data by gathering a sample of 100 records from the misconfigured Firebase instance.


Furthermore, to have a complete and clear picture of the impact and information contained, the resulting data is formatted and put in a PostgreSQL database (Supabase).


The overall database accounted for nearly 125 million records with 84 million names, 106 million email addresses, 33 million phone numbers, 20 million passwords, and 27 million billing info, which includes bank details, invoices etc.,



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiaCsm9RUpsnzqa-oiI5pkEQx6jEiiyjwxJpnc6gp6wIM__6gXDWjVUO8T_NNCExx-uMiipAMiRNqKkxEJv9CophOXWiK9NGAcPN_65Meos03y-7lcxopiaHlFjYuZpztjVWA5Yt8Nh2F4C47-PrUOTV1n-1D1Gc0Yr1oZRUBKmgRYA_2KnKsEIi6hJW7sR/s16000/Capture%20(44).webp)Extracted data (Source: Env fail)


Some of the sample sites that were affected include,


* Silid LMS with 27 million affected users – Names, Emails and Phone Numbers.
* 9 Online Gambling websites with 8 million bank account details and 10 million plaintext passwords.
* Lead Carrot with 22 million affected users
* MyChefTool with 14 million exposed names and 13 million exposed emails.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjCBDKjACkDaxfAXCg1sZHPlRA_FriSxiJli2X-QGqg6etG9rGk85NV6Cg5kpIknQjkwfV0HT16joTly_zHess4jjITh4V6_AYoeQPlRquIdGbywUf2ljLHbYWMgF51N0H4gELvo4lvvxzrk4ZhX_DxAKq5WuqGFG82U3jIj3VLsYaa0JUuBIuHLMMt0xUB/s16000/Capture%20(45).webp)Gambling websites (Source: Env fail)


The overall stats of the aftermath were 842 sent emails, 715 (85%) delivered emails, 75 (9%) bounced emails, 200 misconfigurations fixed, 8 reply emails and 2 bug bounties offered.


As an interesting note, one of the gambling website support persons tried to flirt with the researchers when reporting this issue.


In addition, the researchers also mentioned that some of the gambling websites were rigged with 0% chance of winning in the Spins.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh0Y6b6QMaDoZiYV6ap5xOU8TApH7I6R05pJpdiou1MZzIq8YCEkxcHBAr_kyEm8HLA9Lh_hX4NGFkn3eBn4_VM8fhOk9BOlG7mVwsJZ0aas5mlGot5W_7PMSeNBK_6yh26bsQnvREA5PnkSi3wJtk3LjkuVQaHaKZqFr5hqST2mXzoublIQ_QEbx8gExw5/s16000/Capture%20(46).webp)Flirting from support (Source: Env fail)





## Tags:


### Autogenerated tags:
websites emails misconfigured misconfigurations
