# Cyber Attack on DP World Halted Container Movements
## DP World Australia, a leading provider of landside freight operations, issued an update on Friday, November 10, regarding its efforts to address a cybersecurity incident that affected its systems.
## Information:

+ Link: https://cybersecuritynews.com/?p=50001
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 14 November 2023, 08:19
+ Date scraped: 14 November 2023, 09:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi3CVKc2hg8v9EWXQktp_5KSejCMRjaWaCoGdiFsBgT3g15PLbguTJc38WTr834kyorjOwrzcdLbZrUZgjgO7rzFA9hkgyW5W0-m9bvOJDZXFyWrIKr5P0MaAMkWAR0rXPar3r4SV09tOiaw2NprrzGQ55D7vOHsOwT-6NIqOhN5Uptzm3THZCa5xti3Yl7/s16000/DP%20World%20Cyber%20Attack.webp)


DP World Australia, a leading provider of landside freight operations, issued an update on Friday, November 10, regarding its efforts to address a [cybersecurity incident](https://cybersecuritynews.com/incident-response-plan/) that affected its systems. 


The company has collaborated with cybersecurity experts to restore its terminal operations securely and safely.


**Security and continuity**
---------------------------


The company has placed security as its utmost priority and implemented its robust business continuity plan to ensure the movement of some freight.


This involved working with industry partners, other ports, and terminal operators to minimize the disruption caused by the incident.


The company also coordinates with government and private sector stakeholders to identify and retrieve sensitive inbound freight.


Document

Protect Your Storage With SafeGuard
[Is Your Storage & Backup Systems Fully Protected? – Watch 40-second Tour of SafeGuard](#)
------------------------------------------------------------------------------------------


StorageGuard scans, detects, and fixes security misconfigurations and vulnerabilities across hundreds of storage and backup devices.


  [Try StorageGuard for Free](https://www.continuitysoftware.com/webinar-ensure-cyber-resilient-with-the-new-dora-regulation/?utm_source=CyberSecurityNews) 


DP World Australia has made significant progress in resolving the cybersecurity incident, with its current focus on testing key systems essential for resuming normal operations and regular freight flow.


The company will provide [another update](https://s3.documentcloud.org/documents/24164011/media-statement-update-on-cybersecurity-incident-and-operational-response_12-nov-2023cleaned.pdf) after the testing phase is completed. 


**Data Access and Theft**
-------------------------


A key aspect of the ongoing investigation is the nature and extent of data access and theft.


DP World Australia recognizes the potential concerns this development may raise among stakeholders and diligently assesses whether personal information has been impacted.


As a proactive measure, the company has engaged the Office of the Australian Information Commissioner to address data security and privacy issues.


DP World Australia remains committed to transparent communication as it works towards fully recovering its operations in the aftermath of this cybersecurity incident.


The company is determined to continue its investigation and remediation work to safeguard the security and integrity of its customers, partners, employees, operations, and data.


DP World Australia is steadfast in its commitment to restoring normal operations as swiftly and securely as possible.


The company is devoted to ensuring the uninterrupted flow of goods and services that support Australia’s economy.






## Tags:


### Autogenerated tags:
cybersecurity
