# Microsoft New Security Audit Tool Unprotected Devices
## Microsoft’s new security tool for auditing external attack surfaces gives security teams the ability to discover unknown and unmanaged resources that are visible and accessible from the internet, basically the same view an attacker has when selecting a target.
## Information:

+ Link: https://cybersecuritynews.com/?p=10004
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 04 August 2022, 07:02
+ Date scraped: 04 August 2022, 08:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEji6bUM8UYEt76HeZqqLV6_9GlVHfTUsfZJnUVAI2hfGLoCglQT2H2ZibkIg69jOfxvf97_v0rbblvg4xF7aFSGiTEWB6EStVuzgWxddz7nhUsllteZhKUYpWlYYmMF-crqFt2cidiwdDybZUkh7GlPBceVeD_rdRZh2VqlFEB5K9rQEuYIibsO-dbwQA/s16000/External%20Attack%20Surface%20Management.png)

Microsoft’s new security tool for auditing external attack surfaces gives security teams the ability to discover unknown and unmanaged resources that are visible and accessible from the internet, basically the same view an attacker has when selecting a target.

‘The new Defender External Attack Surface Management’ facilitates customers to determine unmanaged resources that could be possible entry points for an attacker.

## **Microsoft Defender External Attack Surface Management**

Most essentially, Microsoft Defender External Attack Surface Management examines the internet and its connections every day. This helps to find out the internet-facing resources, even the agentless or credentials, and unmanaged assets.

*“With a complete view of the organization, customers can take recommended steps to mitigate risk by bringing these unknown resources, endpoints, and assets under secure management within their security information and event management (SIEM) and extended detection and response (XDR) tools”, Vasu Jakkal Microsoft Corporate Vice President.*

  [![EHA](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjlaUbKCifvflOZCpChjVN2YyzLBVVeWyL4xobuU6mJmL6b9U_wAfpKTUjrQpNMgJSTqXIxFk9Pjtb91TQadV1QMPqPwgbC9C5_2hQ9URcboiTgSVmJinmOjJuw5uuRBFGqGO_fm0ho4l6hzC7M_zGUxADwrKaNPFsxe3q75jV8htAJLj0j5unQEXyiZQ/s16000/Perimewter%2081_For%20gbhackers.com_970x250.png
)](https://bit.ly/3xmY62n)![Microsoft Defender External Attack Surface Management summary page featuring Attack Surface Summary and Attack Surface Priorities.](https://www.microsoft.com/security/blog/uploads/securityprod/2022/07/Threat-Intelligence-Blog-2.jpg)

This new [product](https://www.microsoft.com/en-us/security/business/cloud-security/microsoft-defender-external-attack-surface-management) helps to sustain a dynamic inventory of external resources across multiple clouds and hybrid environments. It determines the exposed weakness by prioritizing them and misconfigurations hidden in unmanaged resources then bringing the resources under management to remove those exposures.

![https://img-prod-cms-rt-microsoft-com.akamaized.net/cms/api/am/imageFileData/RE52H3Q?ver=764f&q=90&m=2&h=2147483647&w=2147483647&b=%23FFFFFFFF&aim=true](https://img-prod-cms-rt-microsoft-com.akamaized.net/cms/api/am/imageFileData/RE52H3Q?ver=764f&q=90&m=2&h=2147483647&w=2147483647&b=%23FFFFFFFF&aim=true)

Microsoft mention to integrate security information and event management (SIEM) and extended detection and response (XDR) to increase efficiency and effectiveness while securing your digital estate.

Microsoft also [releases](https://www.microsoft.com/en-us/security/business/cloud-security/microsoft-defender-external-attack-surface-management) Microsoft Defender Threat Intelligence, another security product that will provide security operations (SecOps) teams with the threat intelligence needed to determine attacker infrastructure and speed up attack investigations and remediation efforts.*“The volume, scale, and depth of intelligence are designed to empower security operations centers (SOCs) to understand the specific threats their organization faces and to harden their security posture accordingly”, saysVasu Jakkal*.




## Tags:


### Autogenerated tags:
microsoft
