# Zscaler Acquires Airgap Networks to Enhance Zero Trust SASE
## This acquisition is set to redefine the way enterprises protect their internal traffic, particularly in IT and OT environments.
## Information:

+ Link: https://cybersecuritynews.com/?p=62192
+ Source: Cyber Security News
+ Author: Dhivya
+ Date published: 12 April 2024, 08:06
+ Date scraped: 12 April 2024, 09:10

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEikg3bn4Pg48LKGQGFLyTfXRE2NtR5xwCmiza1fvhGMX_D57Ovbp0WzGBxkbWh5beQr_jZEZ9KwAmZM8-IuYwZ0Mlqj9bmcB_asjlkEqIlt1-7iRiF0uh_qCwCOLdCGbplieq9CjM4dRsAkVAVSUy_rMXoGEv4POm6Yn48J-yR7G6gel5PcVyiGD2UwOh4/s1600/zscaler%20(1).webp)


Zscaler has announced the acquisition of Airgap Networks, a company renowned for its agentless segmentation technology.


This acquisition is set to redefine the way enterprises protect their internal traffic, particularly in IT and Operational Technology (OT) environments.


Cybersecurity rapidly evolves, with adversaries employing sophisticated techniques to bypass traditional security measures.


Once inside a network, these attackers move laterally to access sensitive data or critical resources. To combat this, [zero-trust](https://cybersecuritynews.com/what-is-zero-trust/) security models have become essential, focusing on the principle of “never trust, always verify.”


Historically, network segmentation has been the go-to strategy for controlling lateral movement within networks.


Document

Stop Advanced Phishing Attack With AI
[AI-Powered Protection for Business Email Security](#)
------------------------------------------------------


Trustifi’s Advanced threat protection prevents the widest spectrum of sophisticated attacks before they reach a user’s mailbox. Stopping 99% of phishing attacks missed by
other email security solutions. .


  [Try Free Demo](https://trustifi.com/?utm_source=cybersecuritynews&utm_medium=link&utm_campaign=CyberSecuritynews&utm_id=cybersecuritynews) 


However, traditional methods like Network Access Control (NAC) and East-West firewalls have proven complex and cumbersome, often leading to misconfigurations and incomplete implementations.


Zscaler recently announced on Twitter its plan to acquire Airgap, which will enhance the company’s Zero Trust Secure Access Service Edge (SASE).







**Airgap’s Revolutionary Approach**
-----------------------------------


[Airgap](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEikg3bn4Pg48LKGQGFLyTfXRE2NtR5xwCmiza1fvhGMX_D57Ovbp0WzGBxkbWh5beQr_jZEZ9KwAmZM8-IuYwZ0Mlqj9bmcB_asjlkEqIlt1-7iRiF0uh_qCwCOLdCGbplieq9CjM4dRsAkVAVSUy_rMXoGEv4POm6Yn48J-yR7G6gel5PcVyiGD2UwOh4/s1600/zscaler%20(1).webp) Networks’ technology offers a fresh perspective on network segmentation.


Airgap simplifies the segmentation process by employing an agentless, identity-based approach, creating a “network of one” for each connected endpoint.


This method significantly reduces the complexity and operational strain associated with traditional segmentation.


Airgap’s agentless segmentation is particularly crucial for environments where deploying agents is not feasible, such as unmanaged devices, legacy servers, or IoT/OT infrastructure.


This approach ensures that Zero Trust segmentation can be applied universally, regardless of device type.


[Zscaler’s](https://www.zscaler.com/blogs/company-news/zscaler-acquires-airgap-networks-extends-zero-trust-sase) Zero Trust Exchange already offers robust segmentation capabilities, including user-to-app, location, and workload segmentation.


Integrating Airgap’s technology will extend these capabilities to east-west traffic, enhancing visibility and control over internal network movements.


With the acquisition of Airgap, Zscaler eliminates the need for traditional NAC and firewall-based segmentation, offering a more [streamlined](https://cybersecuritynews.com/streamlined-logistics/) and secure approach to controlling east-west traffic in various network environments.


**IT/OT Segmentation**
----------------------


Airgap’s solution is a ransomware kill switch, halting lateral threat movement in IT and OT systems without disrupting essential operations.


This capability is critical for securing complex and sensitive OT environments.


Understanding the traffic within IT/OT environments is vital for security and performance management.


Airgap’s technology provides continuous visibility into east-west traffic, enabling network admins to manage IoT/OT systems more effectively.



![IT/OT Segmentation](https://cybersecuritynews.com/wp-content/uploads/2024/04/image-45.png)IT/OT Segmentation


Zscaler’s acquisition of Airgap Networks marks a significant advancement in zero-trust security.


By integrating Airgap’s innovative segmentation technology, Zscaler is poised to deliver unparalleled operational simplicity and security, ensuring that enterprises can effectively combat the lateral movement of threats within their networks.





## Tags:


### Autogenerated tags:
airgap zscaler east-west agentless it/ot
