# Tenable to acquire Eureka Security for greater visibility into cloud data environment
## The deal marks the latest acquisition in a market undergoing pricing adjustments and increased pressure to offer unified platforms.
## Information:

+ Link: https://www.cybersecuritydive.com/news/tenable-acquire-eureka-security/718218/
+ Source: CyberSecurity Dive
+ Author: David Jones
+ Date published: 06 June 2024, 11:13
+ Date scraped: 10 June 2024, 16:01

## Article:
![Main article image](https://www.cybersecuritydive.com/imgproxy/VjMwsikkj49-pU7AEOcHhnD-4GpcrI0Akxq8tC7DhcI/g:ce/rs:fit:770:435/bG9jYWw6Ly8vZGl2ZWltYWdlLzc5NjYyOGFhLTQ1YzUtNDExZi05ZWI5LWVjYTJmOTcxNTA4OC5wbmc=.webp)


Tenable Holdings landed a[deal to buy Eureka Security](https://www.tenable.com/press-releases/tenable-to-acquire-eureka-security-to-add-data-security-posture-management-to-its-cloud-security-platform), a firm specializing in data security posture management for cloud environments, the company said Thursday.


Eureka Security, a startup backed by YL Ventures, helps companies prevent misconfigurations by providing a more detailed view of their cloud data security footprint.


Tenable said Eureka Security’s capabilities will enable its customers to better identify risky cloud data and who has access to it.


“The addition of Eureka’s DSPM technology helps provide even more context on the cloud risk that may exist for holistic protection of customer data,” Shai Morag, SVP and general manager, cloud security at Tenable, said via email.


Eureka was founded in [2021 by CEO Liat Hayun and CTO Asaf Weiss](https://www.eureka.security/post/blog-post-a-new-era-in-cloud-data-protection-has-arrived), both veterans of Palo Alto Networks. YL Ventures led a round of $8 million in seed funding in 2022.


Terms of the acquisition, which is not expected to have a material impact on revenue this year, were not disclosed. Tenable reported $798.7 million in revenue in fiscal 2023 and has about 44,000 customers globally.


The deal marks the latest in a series of acquisitions and other deals in recent weeks, as the market has seen a surge in demand for unified security tools that help companies quickly hunt for threats and mitigate vulnerabilities.


Erik Nost, senior analyst at Forrester, declined to comment on the specific Eureka deal, but said cybersecurity teams need solutions that give them visibility, prioritization and remediation.


“When you have a solution that gives you visibility, but not prioritization or remediation, then you need to obtain those principles elsewhere which creates bottlenecks and unnecessary workflows,” Nost said via email. “Vendors building platforms can choose to integrate or provide the functionality themselves.”


“Acquisitions could provide more functionality natively but should ultimately tie back to one of those three principles,” Nost added.


Palo Alto Networks signed a deal last month[to acquire IBM’s QRadar SaaS assets](https://www.cybersecuritydive.com/news/palo-alto-networks-platform-consolidation/716725/). Wiz entered a[deal in April to buy Gem Security](https://www.wiz.io/blog/wiz-acquires-gem-security-to-reinvent-threat-detection-in-the-cloud). 





## Tags:


### Autogenerated tags:
cloud nost
