# “No need to hack when it’s leaking:” the “Here’s how you get a HIPAA complaint” edition
## So&#8230; regular readers know that DataBreaches has occasionally reported on data security incidents in the healthcare sector that involved leaks due to...
## Information:

+ Link: https://www.databreaches.net/no-need-to-hack-when-its-leaking-the-heres-how-you-get-a-hipaa-complaint-edition/
+ Source: DataBreaches
+ Author: Dissent
+ Date published: 27 December 2022, 12:05
+ Date scraped: 11 December 2023, 14:51

## Article:
![Main article image](https://www.databreaches.net/wp-content/uploads/whatsyourexcuse-2.jpg)


So… regular readers know that DataBreaches has occasionally reported on data security incidents in the healthcare sector that involved leaks due to misconfigurations of GitHub repositories, storage buckets, open directories, etc.


Not all of this site’s attempts to disclose leaks responsibly have gone smoothly, as described in [a collaborative paper written with Dutch researcher Jelle Ursem](https://www.databreaches.net/wp-content/uploads/No-need-to-hack-when-its-leaking.pdf). We have occasionally been ignored, hung up on, yelled at, accused of being criminals, and otherwise disrespected by some of those we were trying to help.


Today, as 2022 draws to a close, DataBreaches brings you the case of a nursing care provider in Florida. We are not naming the provider now because the data are still exposed, but here’s what we will share at this time:


1. In 2019, a researcher contacted me to tell me that they had discovered an unsecured Amazon storage bucket exposing patient data. That researcher reported their discovery to their employer. DataBreaches does not know whether their employer attempted to notify the owner of the storage bucket.  Fast forward to December 2022 and:
2. Jelle Ursem notifies DataBreaches that he discovered an unsecured storage bucket. The bucket name sounds familiar, and when DataBreaches checks, it is the same storage bucket that had been reported three years ago by a different researcher.  DataBreaches helps Ursem locate contact information for the entity as they do not seem to have any web site.
3. Ursem calls the bucket owner to responsibly disclose the leak. The woman who answers the phone hangs up on him.
4. Ursem calls back and tells her not to be rude and that he is just trying to help them. She takes his information and tells him the boss will call him back. No one ever calls him back.
5. A third researcher on yet a third continent contacts DataBreaches to report that they have discovered a leaking storage bucket. Yes, as you probably guessed by now, it’s the same bucket.
6. The third researcher’s employer notifies a contact with a major health insurer. They contact the entity. The bucket remains unsecured.
7. A second insurer’s intel team calls the bucket owner to alert them to the leak. The woman who answers the phone says, “Thank you for your concern, sir,” and hangs up on him.
8. On December 19, DataBreaches sent an email to the bucket owner, pointing out all the people who had legitimately tried to alert them to a leak.  No reply was received.


We try to avoid naming and shaming, and DataBreaches is not naming the entity at this time, but in light of all of our failed efforts to get the bucket owner to lock down their data, this site filed a HIPAA complaint with HHS under the HIPAA Security Rule.  The complaint starts by noting that the data in question are STILL exposed despite efforts by multiple entities to disclose the problem responsibly.


Will HHS do anything? Will they require the entity to contact patients or family members whose personal or protected health information may have been stored at some point in the bucket? Does the entity even have access logs for the bucket that go back three years or more?


A link to this post will be emailed to the entity in question.  Whether they read the post or not is anybody’s guess.  As of today, however, the bucket is still not locked down.




---


*This post was edited post-publication to reflect that there was a second health insurer’s intel team who also tried to alert the entity, to no avail.*





## Tags:


### Autogenerated tags:
databreaches ursem
