# KKR Boosts NetSPI Stake with $410 Million Investment
## Private equity giant KKR is expanding its big bet on pen-testing and attack surface management firm NetSPI with a new $410 million investment round.
## Information:

+ Link: https://www.securityweek.com/kkr-boosts-netspi-stake-410-million-investment
+ Source: SecurityWeek
+ Author: Ryan Naraine
+ Date published: 05 October 2022, 16:01
+ Date scraped: 05 October 2022, 16:01

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


The $410 growth equity round comes just over a year after [NetSPI banked a $90 million funding round](https://www.securityweek.com/investors-pump-90-million-pentesting-firm-netspi) led by KKR with participation from Ten Eleven Ventures.


The new funding gives Minneapolis-based NetSPI an extended runway to compete and find profits in the fast-growing attack surface management business. NetSPI offers a cloud-based delivery model that allows customers to perform always-on continuous testing to monitor their attack surface and execute attack scenarios based on real-world attacker tactics, either as a single attack technique or a full attack chain using one pre-built playbook.


![NetSPI logo](https://www.securityweek.com/sites/default/files/logos/NetSPI_Logo.png "NetSPI Funding")In December 2020, NetSPI acquired Silent Break Security, a Utah-based security testing firm that offers network and application testing, red teaming, and adversary simulation. Terms of that deal were not disclosed.


NetSPI says it has found traction with a suite of offensive security solutions – Attack Surface Management, Penetration Testing as a Service (PTaaS), and Breach and Attack Simulation – to help businesses uncover critical security gaps, minimize risk, and reduce the likelihood of a security incident.


**[ READ: [The Rise of Continuous Attack Surface Management](https://www.securityweek.com/rise-continuous-attack-surface-management) ]**


The NetSPI funding for continuous attack surface management technology comes just days after the U.S. government’s cybersecurity agency [CISA issued mandatory instructions](https://www.securityweek.com/dhs-tells-federal-agencies-improve-asset-visibility-vulnerability-detection) for federal agencies to improve automated asset discovery and vulnerability detection capabilities.


According to the CISA, the [binding operational directive](https://www.cisa.gov/binding-operational-directive-23-01) is meant to help federal agencies improve their cybersecurity management capabilities by gaining visibility into all assets in their networks and the vulnerabilities impacting them.


Federal agencies have been given six months to identify network addressable IP-assets in their environments, along with the associated IP addresses (hosts), as well as to discover and report suspected vulnerabilities on those assets, including misconfigurations, outdated software, and missing patches.


The government’s push is sure to attract more attention to the [attack surface management category,](https://www.securityweek.com/rise-continuous-attack-surface-management) which has grown in importance to solve problems with vulnerability and patch management, especially for software and other assets that are exposed to the internet. The technology is meant to address gaps in point-in-time penetration testing and vulnerability management and is a highly competitive category with multiple startups jostling for market share. 



**Related: [KKR to Acquire Barracuda Networks From Thoma Bravo](https://www.securityweek.com/kkr-acquire-barracuda-networks-thoma-bravo)**


**Related: [CyCognito Snags $100M for Attack Surface Management Tech](https://www.securityweek.com/cycognito-snags-100m-investment-attack-surface-management)**


**Related: [Bishop Fox Lands $75 Million in Growth Funding](https://www.securityweek.com/bishop-fox-lands-75-million-series-b-funding)**


 


## Tags:


### Autogenerated tags:
netspi
