# Semperis Banks $200 Million to Scale Enterprise ID Protection Tech
## Private equity investment firm KKR leads a $200 million round in enterprise identity protection vendor Semperis.
## Information:

+ Link: https://www.securityweek.com/semperis-banks-200-million-scale-enterprise-id-protection-tech
+ Source: SecurityWeek
+ Author: Ryan Naraine
+ Date published: 24 May 2022, 15:00
+ Date scraped: 24 May 2022, 15:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


Semperis said the Series C funding round was led by private equity investment firm KKR.  Ten Eleven Ventures, Paladin Capital Group, Atrium Health Strategic Fund, Tech Pioneers Fund and Insight Partners also invested.


The new funding brings the [total raised by Semperis to $254 million](https://www.securityweek.com/enterprise-identity-protection-firm-semperis-raises-40-million) and a company spokesperson confirmed Semperis is now a member of the so-called “unicorn club” of startups boasting billion-dollar valuations.


Semperis, based in Hoboken, New Jersey, builds and markets technology to help organizations protect Microsoft Active Directory installations.


Semperis currently offers two products: Semperis Directory Services Protector, which helps organizations protect Active Directory, and Semperis Active Directory Forest Recovery, designed to help organizations recover following an attack.


"Identity systems such as Microsoft Active Directory (AD) and Azure AD, used in over 90% of enterprises, are coming under sustained attack," Semperis said in a note announcing the new financing. The company said its products provide multiple roadblocks to thwart attackers before, during, and after an attack.


Prior to an attack, the product can be used to scan Active Directory deployments for vulnerabilities and misconfigurations, and in case an attack is detected, it provides visibility and tools to easily revert any malicious changes made by the attackers.


The company said it plans to use investment to expand research and development work on the identity systems defense market and to speed up hiring at its offices in the U.S., Canada, and Israel.


 KKR said it is investing in Semperis through its Next Generation Technology Growth Fund II, a fund dedicated to growth equity investment opportunities in the technology space.  




 


## Tags:


### Autogenerated tags:
semperis
